Subject: openpty fails on standalone guix

From: Mark H Weaver <[email-masked]>
Date: Tue, 22 Jul 2014 12:54:27 -0400

openpty fails for unprivileged users on standalone guix.  For example,
running 'script' or 'screen' fails, and running M-x shell within emacs
results in a bash without job control, because emacs uses pipes to
communicate with the subprocess instead of pseudo-ttys, apparently
because it was unable to use openpty.

I've found that I can fix the problem by unmounting /dev/pts and then
remounting with the same options that LFS uses for its /etc/fstab:
"gid=1004,mode=620".  That gid corresponds to the 'tty' group.

      Mark